---
title: "Check if Room Name Exists"
slug: "check-if-room-name-exists"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Check if Room Name Exists

Get/api/v1/rooms.nameExists

Check if the room name exists

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomNamestringRequired

Enter the room name that you want to check.

Exampletest-room

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='b7f90af5-7dcf-4c8c-af1c-8b90e6bf2149'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='e50dd029-09cf-44b7-a169-92decef01456'>Success</option>
</select>Success

```json
{
  "exists": true,
  "success": true
}
```

object  existsboolean    
successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='de787e43-182a-4d3c-87ca-50a30f841e18'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='16f6a30f-d5b8-4df0-8d7d-bf14c7aac545'>roomName is required</option>
</select>roomName is required

```json
{
  "success": false,
  "error": "must have required property 'roomName' [invalid-params]",
  "errorType": "invalid-params"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='d26f16b7-3592-4f8c-90e7-b5fa3e503584'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='3e4425fc-673b-46d4-a9c2-7b86fa82736c'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
